Bug 1493170

Summary: FTBFS: tests failing due to locale issues
Product: [Fedora] Fedora Reporter: Rafael Fonseca <rdossant>
Component: guileAssignee: Miroslav Lichvar <mlichvar>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: urgent    
Version: rawhideCC: jsynacek, mlichvar, mmathesi, psabata
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: guile-2.0.14-4.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-10 14:42:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1474910    

Description Rafael Fonseca 2017-09-19 14:00:48 UTC
Description of problem: guiles fails to build because of failures in the test suit. The failures say:

UNRESOLVED: i18n.test: text collation (Czech): string-locale<? for 'ch'
FAIL: i18n.test: number->locale-string: French: integer - arguments: (expected-value "123 456" actual-value "123\xa0456")
FAIL: i18n.test: number->locale-string: French: negative integer - arguments: (expected-value "-1 234 567" actual-value "-1\xa0234\xa0567")
FAIL: i18n.test: number->locale-string: French: fraction - arguments: (expected-value "1 234,567" actual-value "1\xa0234,567")
FAIL: i18n.test: number->locale-string: French: fraction, 1 digit - arguments: (expected-value "1 234,6" actual-value "1\xa0234,6")
FAIL: i18n.test: format ~h: French: 12345.678 - arguments: (expected-value "12 345,678" actual-value "12\xa0345,678")
FAIL: i18n.test: monetary-amount->locale-string: French: integer - arguments: (expected-value "123 456,00 +EUR" actual-value "123\xa0456,00 +EUR")
FAIL: i18n.test: monetary-amount->locale-string: French: fraction - arguments: (expected-value "1 234,57 EUR " actual-value "1\xa0234,57 EUR ")


Version-Release number of selected component (if applicable): 2.0.14-3


How reproducible: always on koji

Comment 1 Petr Ĺ abata 2017-10-06 19:38:46 UTC
This has been blocking module builds for a while.

Comment 2 Merlin Mathesius 2017-10-09 20:41:34 UTC
FYI, these failures appear to be the result of an upstream glibc update to the handling of numerics for the fr_FR locale.

The thousands separator character is now defined to be a non-breaking space rather than a plain space. guile's i18n.tests, however, are demanding a plain space.

Other glibc locales were also updated in a similar manner. See https://sourceware.org/git/?p=glibc.git;a=commit;h=70a6707fa15e63591d991761be025e26e8d02bb6

Comment 3 Miroslav Lichvar 2017-10-10 14:42:34 UTC
Thanks for the hint, Merlin. The i18n test should be now fixed to expect non-breaking spaces separating thousands.